# Uses of Class
org.eclipse.mat.report.QuerySpec

Packages that use QuerySpec
Package
Description
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of QuerySpec in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal that return QuerySpec
Modifier and Type
Method
Description
`QuerySpec`
QueryPart.`spec()`
Constructors in org.eclipse.mat.report.internal with parameters of type QuerySpec
Modifier
Constructor
Description
``
`QueryPart(String id, AbstractPart parent, DataFile artefact, QuerySpec spec)`